Skip to main content
`Ctrl`+`K`

# EPSCISSSetExtraction

Sets the extraction technique used in the CISS solver.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSCISSSetExtraction(EPS eps,EPSCISSExtraction extraction)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- extraction - the extraction technique, see `EPSCISSExtraction` for possible values

## Options Database Key

- -eps_ciss_extraction <extraction> - sets the extraction technique, either `ritz` or `hankel`

## Notes

By default, the Rayleigh-Ritz extraction is used (`EPS_CISS_EXTRACTION_RITZ`), see [Sakurai and Tadano, 2007].

If the `hankel` option is specified (`EPS_CISS_EXTRACTION_HANKEL`), then the block Hankel method is used for extracting eigenpairs [Sakurai and Sugiura, 2003].

## References

[Sak03]

T. Sakurai and H. Sugiura. A projection method for generalized eigenvalue problems using numerical integration. J. Comput. Appl. Math., 159(1):119–128, 2003. doi:10.1016/S0377-0427(03)00565-X.

[Sak07]

T. Sakurai and H. Tadano. CIRR: a Rayleigh-Ritz type method with contour integral for generalized eigenvalue problems. Hokkaido Math. J., 36(4):745–757, 2007. doi:10.14492/hokmj/1272848031.

## See Also

EPS: Eigenvalue Problem Solver, `EPSCISS`, `EPSCISSGetExtraction()`, `EPSCISSExtraction`

## Level

advanced

## Location

src/eps/impls/ciss/ciss.c

## Implementations

EPSCISSSetExtraction_CISS() in src/eps/impls/ciss/ciss.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages